Show ticket materials¶
Use /tickets/{ticketID}/materials to retrieve material for a specified ticket created at landfill for disposal.To get the summary of all the tickets, see disposal ticket api
URI¶
GET /api/v1/customers/{customerId}/tickets/{ticketId}/materials?ticket_type=disposal
Headers¶
| Parameter | Mandatory | Data Type | Allowed Values | Description |
|---|---|---|---|---|
| Request-Tracking-Id | Y | String | Unique Identifier for each request | |
| Authorization | Y | String | Access token | |
| ClientId | Y | String | Will be provided by WM | |
| Accept | N | String | application/json or application/xml | Default is application/json |
Request Parameters¶
Pass the following parameters in the request.
| Parameter | Mandatory | Data Type | Type | Description |
|---|---|---|---|---|
| customerId | Y | Number | path | Unique Customer Identifier |
| ticketId | Y | Number | path | Unique ID assigned to a ticket |
| ticket_type | Y | String | query | Ticket Type(disposal) |
Response Fields¶
| Parameter | Data Type | Description |
|---|---|---|
| request_tracking_id | String | Unique identifier for each request |
| tickets | Object | The ticket details |
| status | String | Ticket status |
| date_time | String | Ticket serviced date and time |
| site_id | Number | Hauling site location identifier |
| site_name | String | Name of the hauling site location |
| surcharge | Number | Amount charged as part of surcharges |
| details | Object | Material details |
| sequence_number | Number | Sequence number assigned to the detail item |
| material_name | String | Name of the material |
| description | String | Description of the material |
| volume | Number | Volume of the material |
| rounded_net_weight | Number | Rounded total weight of the material |
| rounded_net_uom | Number | Unit of measurement of the rounded total weight of the material |
Tip
For information about how to test, see How To Test
Sample Request¶
http://api.wm.com/v1/customers/123456789/tickets/822908/materials?ticket_type=disposal
Sample Response¶
{ "request_tracking_id": "1234547", "tickets": [{ "status": "Inactive", "date_time": "2015-08-03 10:27:39.0", "site_id": "01391", "site_name": "Eastmont Transfer Station", "details": [{ "sequence_number": "1", "material_name": "C&DT", "description": "CDL ", "volume": "0", "rounded_net_weight": "2.67", "rounded_net_uom": "Tons" }] }]}